### Function

# EDataServer util_utf8_strcasecmp

#### Declaration [src]

    gint
    e_util_utf8_strcasecmp (
      const gchar* s1,
      const gchar* s2
    )

#### Description [src]

Compares two UTF-8 strings using approximate case-insensitive ordering.

#### Parameters

`s1`

  Type: `const gchar*`

  A UTF-8 string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`s2`

  Type: `const gchar*`

  Another UTF-8 string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

< 0 if `s1` compares before `s2`, 0 if they compare equal, > 0 if `s1` compares after `s2`.